API SpecificationSandboxes
WatchSandbox
Authorization
BearerAuth AuthorizationBearer <token>
A namespace-scoped API key (cpk_…) for machines, or a Xeonr Auth OIDC
token for humans. The key's namespace and role are pinned server-side.
In: header
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/connect+json
sandboxId?string
[key: string]?never
Response Body
application/connect+json
application/connect+json
curl -X POST "https://containers.xeonr.io/containers.api.v1.SandboxService/WatchSandbox" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/connect+json" \ -d ''{
"state": "SANDBOX_STATE_UNSPECIFIED",
"atUnix": 0,
"detail": "string"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}